# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dbAccessor/version'

Gem::Specification.new do |spec|
  spec.name          = "dbAccessor"
  spec.version       = DbAccessor::VERSION
  spec.authors       = ["fabira"]
  spec.email         = ["fabira90@gmail.com"]
  spec.summary       = %q{"Module dbAccessor"}
  spec.description   = %q{"Module d'acces a la base de donnees "}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

   # Declare that the Gem is compatible with
  # version 1.9.0 or greater
  spec.required_ruby_version = ">= 1.9"
  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "uuid", "~> 2.3", ">= 2.3.7"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "activerecord", "~> 4.1", ">= 4.1.1"
  spec.add_development_dependency "rake", "~> 10.3", ">= 10.3.2"
  spec.add_development_dependency "pg", "~> 0.17", ">= 0.17.1"
  spec.add_development_dependency "redis"
  spec.add_development_dependency "rest-client"
end
