
class CreateApplications < ActiveRecord::Migration
  def self.up
    create_table :applications do |a|
      a.string  :name
      a.uuid    :api_key
      a.string  :url
      a.boolean :deleted, :default => false
      a.integer :user_id
      a.timestamps
    end
    add_index :applications, :user_id
  end

  def self.down
    drop_table :applications
  end
end

CreateApplications.down if ActiveRecord::Base.connection.table_exists? 'applications'
CreateApplications.up
