require 'active_record'

class CreateUsers < ActiveRecord::Migration
  def self.up
    create_table :users do |u|
      u.string  :login
      u.string  :password
      u.string  :firstname
      u.string  :lastname
      u.string  :gender
      u.string  :email
      u.boolean :admin, default: false
      u.boolean :deleted, :default => false
      u.timestamps
    end
  end

  def self.down
    drop_table :users
  end
end

CreateUsers.down if ActiveRecord::Base.connection.table_exists? 'users'
CreateUsers.up
