require 'active_record'
require_relative 'engine_data'
require_relative 'application'

class Engine < ActiveRecord::Base

  validates_uniqueness_of :name , :scope => :application_id
  validates_presence_of   :engine_conf,:name
  has_one                 :engine_data
  belongs_to              :application

end
