
class CreateAssignments < ActiveRecord::Migration
  def self.up
    create_table :assignments do |a|
      a.integer  :engine_id
      a.integer  :action_id
      a.timestamps
    end

    add_index :assignments, :engine_id
    add_index :assignments,  :action_id
  end

  def self.down
    drop_table :assignments
  end
end

CreateAssignments.down if ActiveRecord::Base.connection.table_exists? 'assignments'
