class CreateEngineData < ActiveRecord::Migration
  def self.up
    create_table :engine_data do |e|
      e.integer :customer_id, :limit => 8
      e.integer :item_id, :limit => 8
      e.integer  :preference
      e.integer :engine_id, :limit => 8
      e.timestamps
    end
    add_index :engine_data, :engine_id
  end

  def self.down
      drop_table :engine_data
  end

end
CreateEngineData.down if ActiveRecord::Base.connection.table_exists? 'engine_data'
CreateEngineData.up
